Skip to content

Transactions Connect API (0.0.1)

The Transactions Connect API allows sellers to view and accept shipping requests, which initiates the shipping transaction. You can then track the transaction status until the buyer receives the item.

Download OpenAPI description
Languages
Servers
Production
https://connect.wallapop.com

A shipping transaction is initiated when a seller accepts a shipping request.

Operations
Operations

Request

Obtain the details of a specific dispute by providing its ID.

Security
oAuthWithPKCE
Path
disputeIdstring(uuid)required

The dispute ID.

curl -i -X GET \
  'https://connect.wallapop.com/disputes/{disputeId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successfully retrieved the dispute details.

Bodyapplication/json
idstring

The unique identifier for the dispute.

Example: "bf44bd9c-b9fc-4e63-ba48-78539979738a"
created_atstring(date-time)

The date and time when the dispute was created.

Example: "2024-06-10T12:34:56Z"
descriptionstring

The description provided for the dispute.

Example: "Item arrived damaged."
transaction_idstring

The unique identifier of the related transaction.

Example: "3e9wzv7zlmdr"
statusstring

The current status of the dispute.

Example: "pending"
photosArray of objects(ConnectDisputeEvidence)

List of photo evidences attached to the dispute.

videosArray of objects(ConnectDisputeEvidence)

List of video evidences attached to the dispute.

escalated_reasonstring or null

The reason why the dispute was escalated, if applicable.

Example: "Broken item."
reject_reasonstring or null

The reason why the dispute was rejected, if applicable.

Example: "Evidence insufficient."
typestring or null

The type of dispute solution, such as refund or repair.

Enum"refund""repair"
Example: "refund"
check_deadlinestring or null(date-time)

The deadline for quality check, if applicable.

Example: "2024-06-15T23:59:59Z"
Response
application/json
{ "id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "created_at": "2024-06-10T12:34:56Z", "description": "Item arrived damaged.", "transaction_id": "3e9wzv7zlmdr", "status": "pending", "photos": [ { "url": "https://cdn.wallapop.com/evidence/photo1.jpg", "thumbnail_url": "https://cdn.wallapop.com/evidence/photo1-thumb.jpg" } ], "videos": [ { "url": "https://cdn.wallapop.com/evidence/photo1.jpg", "thumbnail_url": "https://cdn.wallapop.com/evidence/photo1-thumb.jpg" } ], "escalated_reason": "Broken item.", "reject_reason": "Evidence insufficient.", "type": "refund", "check_deadline": "2024-06-15T23:59:59Z" }
Operations